Subject: bug#48199: 28.0.50; Org mode surprisingly usurps Calendar key binding

From: Yuchen Pei <[email-masked]>
Date: Fri, 27 Aug 2021 14:33:34 +1000

Lars Ingebrigtsen <[email-masked]> writes:

> Yuchen Pei <[email-masked]> writes:
>
>>> This bug seems to be still around, as it just happened to 
>>> me. Steps
>>> to
>>> reproduce:
>>>
>>> - Build a recent version e.g. commit efaed29f3d with `make`
>>> - ./src/emacs
>>> - M-x calendar RET
>>> - i
>>>
>>> results in "command-execute: Wrong type argument: commandp,
>>> org-agenda-diary-entry".  Can anyone else reproduce it?
>
> I can't reproduce this with "emacs -Q", or after visiting 
> etc/ORG-NEWS,
> with the current Emacs trunk.

You are right.  I add `-Q` to the emacs invocation and the problem 
is gone.  I'm gonna try to re-archive this bug.

-- 
Best,
Yuchen

PGP Key: 47F9 D050 1E11 8879 9040  4941 2126 7E93 EF86 DFD0
           <https://ypei.me/assets/ypei-pubkey.txt>